#
# spec file for package golang-googlecode-couch-go
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-googlecode-couch-go
Version:        0.0.0+hg20120329.56.80177d89e264
Release:        1.1
Summary:        Simple CouchDB API for Google Go
License:        MIT
Group:          Development/Languages/Other
Url:            http://code.google.com/p/couch-go/
Source:         couch-go-%{version}.tar.xz
Source1:        README.SUSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:	xz
%if 0%{?suse_version} >= 1100
Recommends:     couchdb
%endif
Provides:	go-couch-go = %{version}-%{release}
Obsoletes:	go-couch-go < %{version}-%{release}
%{go_provides}

%description
Couch-go is a simple CouchDB (0.9+) API for the Google Go language. It
supports basic operations on documents.

%gosrc_package

%prep
%setup -q -n couch-go-%{version}

%build
%goprep code.google.com/p/couch-go
%gobuild

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc LICENSE
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sun Jul 12 2015 i@marguerite.su
- rename to golang-googlecode-couch-go
- use golang-packaging for packaging
* Tue Sep 17 2013 speilicke@suse.com
- Only recommend couchdb to not depend on having it on the same
  machine
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+hg20120329.56.80177d89e264:
  + Upstream provides no changelog
- Use _service file
- Drop rpmlintrc, both issues are obvious Go issues
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Sat Jun 29 2013 graham@andtech.eu
- Update package to latest mercurial
* Fri Oct  7 2011 graham@andtech.eu
- update API to Go r60 (via patch, changes submitted upstream)
* Wed Jun  8 2011 saschpe@suse.de
- Use new %%go_disable_brp_strip_static_archive macro
* Sun May 22 2011 saschpe@gmx.de
- Require couchdb
- Disable tests, they need a running CouchDB
* Sat May 21 2011 saschpe@gmx.de
- Initial version
